aboutsummaryrefslogtreecommitdiff
path: root/net/misc
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:56:32 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:56:32 +0000
commit6f1885bc7b5ffdcec1954364c7acad20c25821b8 (patch)
tree04e5f78bb77df3c11d9587dd95248ee8cf3b204f /net/misc
parent65d91a2968762e5a75b14364bf35a01d79431b4e (diff)
downloadslackbuilds-6f1885bc7b5ffdcec1954364c7acad20c25821b8.tar.gz
slackbuilds-6f1885bc7b5ffdcec1954364c7acad20c25821b8.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@689 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/misc')
-rwxr-xr-xnet/misc/tor/rc.tor.new20
-rw-r--r--net/misc/tor/slack-required1
-rwxr-xr-xnet/misc/tor/tor.SlackBuild140
3 files changed, 161 insertions, 0 deletions
diff --git a/net/misc/tor/rc.tor.new b/net/misc/tor/rc.tor.new
new file mode 100755
index 00000000..f90b6d3e
--- /dev/null
+++ b/net/misc/tor/rc.tor.new
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# init script for tor
+#
+
+PID="/var/run"
+PRIVOXY_PID="$PID/privoxy.pid"
+TOR_PID="$PID/tor.pid"
+USER="privoxy"
+
+if [ -f $TOR_PID ]; then
+ if ps `cat $TOR_PID` | grep -q tor; then
+ kill `cat $TOR_PID`
+ fi
+ rm $TOR_PID
+fi
+
+sudo -u $USER /usr/bin/tor &> /dev/null &
+echo "$!" > $TOR_PID
+
diff --git a/net/misc/tor/slack-required b/net/misc/tor/slack-required
new file mode 100644
index 00000000..dd6fade5
--- /dev/null
+++ b/net/misc/tor/slack-required
@@ -0,0 +1 @@
+libevent
diff --git a/net/misc/tor/tor.SlackBuild b/net/misc/tor/tor.SlackBuild
new file mode 100755
index 00000000..8cfceb64
--- /dev/null
+++ b/net/misc/tor/tor.SlackBuild
@@ -0,0 +1,140 @@
+#!/bin/bash
+#
+# slackbuild script for tor
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building tor are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="tor"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.1.1.23}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://tor.eff.org/dist/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ wget "$URL.asc" -O "$SRC_DIR/$SRC.asc" || exit $ERROR_WGET
+fi
+
+gpg --keyserver subkeys.pgp.net --recv-keys 0x28988BF5
+gpg --keyserver subkeys.pgp.net --recv-keys 0x165733EA
+gpg --verify $SRC_DIR/$SRC.asc $SRC_DIR/$SRC || exit $ERROR_GPG
+sleep 3
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+mkdir $TMP/package-$PACKAGE/etc/rc.d
+cp $CWD/rc.tor.new $TMP/package-$PACKAGE/etc/rc.d
+
+CWD="`pwd`"
+cd $TMP/package-$PACKAGE
+
+mv etc/tor/tor-tsocks.conf etc/tor/tor-tsocks.conf.sample
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+tor: tor (An anonymous Internet communication system)
+tor:
+tor: Tor is a toolset for a wide range of organizations and people that
+tor: want to improve their safety and security on the Internet. Using Tor
+tor: can help you anonymize web browsing and publishing, instant
+tor: messaging, IRC, SSH, and other applications that use the TCP
+tor: protocol. Tor also provides a platform on which software developers
+tor: can build new applications with built-in anonymity, safety, and
+tor: privacy features.
+tor:
+tor:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS ChangeLog INSTALL LICENSE README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( chroot . /sbin/ldconfig )' > install/doinst.sh
+echo '( if [ ! -f "etc/rc.d/rc.tor" ]; then mv etc/rc.d/rc.tor.new etc/rc.d/rc.tor ; fi )' >> install/doinst.sh
+echo '( if [ ! -f "etc/tor/torrc" ]; then mv etc/tor/torrc.sample etc/tor/torrc ; fi )' >> install/doinst.sh
+echo '( if [ ! -f "etc/tor/tor-tsocks.conf" ]; then mv etc/tor/tor-tsocks.conf.sample etc/tor/tor-tsocks.conf ; fi )' >> install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+